ランタイム: Mix::Scene::IActorDynamicsDirector Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IActorDynamicsDirector Class Referenceabstract

アクターダイナミクスディレクターインターフェース More...

`#include <IActorDynamicsDirector.h>`

Inheritance diagram for Mix::Scene::IActorDynamicsDirector:
[legend]
Collaboration diagram for Mix::Scene::IActorDynamicsDirector:
[legend]

## Classes

class | ICollection
| コレクションインターフェース More...

## Public Member Functions

virtual Boolean | IsCharacterEnabled (void) const =0
| キャラクターが有効かどうかを確認します More...
virtual void | SetCharacterEnabled (Boolean state)=0
| キャラクターを有効にするかどうかを設定します More...
virtual Mix::Scene::DYNAMICS_KCHAR_MODE | GetCharacterMode (void) const =0
| キャラクターのモードを取得します More...
virtual void | SetCharacterMode (Mix::Scene::DYNAMICS_KCHAR_MODE mode, Boolean bInstantly=False)=0
| キャラクターのモードを設定します More...
virtual Boolean | IsColliderEnabled (void) const =0
| コライダーが有効かどうかを確認します More...
virtual void | SetColliderEnabled (Boolean state)=0
| コライダーを有効にするかどうかを設定します More...
virtual Mix::Scene::DYNAMICS_COLLIDER_MODE | GetColliderMode (void) const =0
| コライダーのモードを取得します More...
virtual void | SetColliderMode (Mix::Scene::DYNAMICS_COLLIDER_MODE mode, Boolean bInstantly=False)=0
| コライダーのモードを設定します More...
virtual Boolean | IsSensorEnabled (void) const =0
| センサーが有効かどうかを取得します More...
virtual void | SetSensorEnabled (Boolean state)=0
| センサーを有効にするかどうかを設定します More...
virtual Boolean | GetColliders (Mix::Scene::IActorDynamicsDirector::ICollection< Mix::Scene::IActorCollider > **ppCollection)=0
| 全てのコライダーを含むコレクションを取得します More...
virtual Boolean | GetColliders (const wchar_t *pName, Mix::Scene::IActorDynamicsDirector::ICollection< Mix::Scene::IActorCollider > **ppCollection)=0
| 指定した名前のコライダー含むコレクションを取得します More...
virtual Boolean | GetSensors (Mix::Scene::IActorDynamicsDirector::ICollection< Mix::Scene::IActorSensor > **ppCollection)=0
| 全てのセンサーを含むコレクションを取得します More...
virtual Boolean | GetSensors (const wchar_t *pName, Mix::Scene::IActorDynamicsDirector::ICollection< Mix::Scene::IActorSensor > **ppCollection)=0
| 指定した名前のセンサー含むコレクションを取得します More...
virtual Boolean | IsActive (void) const =0
| 活動状態かどうかを確認します More...
virtual void | Activate (Boolean bInstantly=False)=0
| 活動状態にします More...
virtual void | Deactivate (Boolean bForce=False, Boolean bInstantly=False)=0
| 非活動状態にします More...
virtual void | ClearForce (Boolean bInstantly=False)=0
| フォースをクリアします More...
virtual void | ClearMotion (Boolean bInstantly=False)=0
| モーションをクリアします More...
virtual Float32 | GetLinearSleepingThresholds (void) const =0
| 移動を停止する速度を取得します More...
virtual void | SetLinearSleepingThresholds (Float32 threshold)=0
| 移動を停止する速度を設定します More...
virtual Float32 | GetAngularSleepingThresholds (void) const =0
| 回転を停止する速度を取得します More...
virtual void | SetAngularSleepingThresholds (Float32 threshold)=0
| 回転を停止する速度を設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IActorDynamicsDirector (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

アクターダイナミクスディレクターインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IActorDynamicsDirector::~IActorDynamicsDirector | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::IActorDynamicsDirector::IsCharacterEnabled | ( | void |  | ) | const

pure virtual

キャラクターが有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::IActorDynamicsDirector::SetCharacterEnabled | ( | Boolean | state | ) |

pure virtual

キャラクターを有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual Mix::Scene::DYNAMICS_KCHAR_MODE Mix::Scene::IActorDynamicsDirector::GetCharacterMode | ( | void |  | ) | const

pure virtual

キャラクターのモードを取得します

Returns
  モードを表す Mix::Scene::DYNAMICS_KCHAR_MODE 列挙定数を返します

virtual void Mix::Scene::IActorDynamicsDirector::SetCharacterMode | ( | Mix::Scene::DYNAMICS_KCHAR_MODE | mode,
|  | Boolean | bInstantly = `False`
| ) |  |

pure virtual

キャラクターのモードを設定します

Parameters

  [in] | mode | モードを表す Mix::Scene::DYNAMICS_KCHAR_MODE 列挙定数
  [in] | bInstantly | 即座に実行したい場合は True

Note
  通常この操作は Mix::Scene::IActorModel::Update で行われます。

virtual Boolean Mix::Scene::IActorDynamicsDirector::IsColliderEnabled | ( | void |  | ) | const

pure virtual

コライダーが有効かどうかを確認します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::IActorDynamicsDirector::SetColliderEnabled | ( | Boolean | state | ) |

pure virtual

コライダーを有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual Mix::Scene::DYNAMICS_COLLIDER_MODE Mix::Scene::IActorDynamicsDirector::GetColliderMode | ( | void |  | ) | const

pure virtual

コライダーのモードを取得します

Returns
  モードを表す Mix::Scene::DYNAMICS_COLLIDER_MODE 列挙定数を返します

virtual void Mix::Scene::IActorDynamicsDirector::SetColliderMode | ( | Mix::Scene::DYNAMICS_COLLIDER_MODE | mode,
|  | Boolean | bInstantly = `False`
| ) |  |

pure virtual

コライダーのモードを設定します

Parameters

  [in] | mode | モードを表す Mix::Scene::DYNAMICS_COLLIDER_MODE 列挙定数
  [in] | bInstantly | 即座に実行したい場合は True

Note
  通常この操作は Mix::Scene::IActorModel::Update で行われます。
  (即知のバグ)
  モードをラグドール( Mix::Scene::DC_RAGDOLL )に設定した場合、
  モデルが異様な変形をしてしまう場合は、 Mix::Scene::IActorModel::Reset などを使用して、ノードのローカル行列を初期値にしてください。
  これはノードにコライダーが存在せず、モーションなどによりローカル行列が変更されている際に発生します。

virtual Boolean Mix::Scene::IActorDynamicsDirector::IsSensorEnabled | ( | void |  | ) | const

pure virtual

センサーが有効かどうかを取得します

Returns
  有効な場合は True を返します

virtual void Mix::Scene::IActorDynamicsDirector::SetSensorEnabled | ( | Boolean | state | ) |

pure virtual

センサーを有効にするかどうかを設定します

Parameters

  [in] | state | 有効にする場合は True

virtual Boolean Mix::Scene::IActorDynamicsDirector::GetColliders | ( | Mix::Scene::IActorDynamicsDirector::ICollection< Mix::Scene::IActorCollider > ** | ppCollection | ) |

pure virtual

全てのコライダーを含むコレクションを取得します

Parameters

  [out] | ppCollection | コレクションを表す Mix::Scene::IActorDynamicsController::ICollection<Mix::Scene::IActorCollider> インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IActorDynamicsDirector::GetColliders | ( | const wchar_t * | pName,
|  | Mix::Scene::IActorDynamicsDirector::ICollection< Mix::Scene::IActorCollider > ** | ppCollection
| ) |  |

pure virtual

指定した名前のコライダー含むコレクションを取得します

Parameters

  [in] | pName | 名前
  [out] | ppCollection | コレクションを表す Mix::Scene::IActorDynamicsController::ICollection<Mix::Scene::IActorCollider> インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IActorDynamicsDirector::GetSensors | ( | Mix::Scene::IActorDynamicsDirector::ICollection< Mix::Scene::IActorSensor > ** | ppCollection | ) |

pure virtual

全てのセンサーを含むコレクションを取得します

Parameters

  [out] | ppCollection | コレクションを表す Mix::Scene::IActorDynamicsController::ICollection<Mix::Scene::ISensor> インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IActorDynamicsDirector::GetSensors | ( | const wchar_t * | pName,
|  | Mix::Scene::IActorDynamicsDirector::ICollection< Mix::Scene::IActorSensor > ** | ppCollection
| ) |  |

pure virtual

指定した名前のセンサー含むコレクションを取得します

Parameters

  [in] | pName | 名前
  [out] | ppCollection | コレクションを表す Mix::Scene::IActorDynamicsController::ICollection<Mix::Scene::ISensor> インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IActorDynamicsDirector::IsActive | ( | void |  | ) | const

pure virtual

活動状態かどうかを確認します

Returns
  活動状態の場合は True を返します

Note
  返される値は Mix::Scene::IActorModel::Refresh で更新されます。

virtual void Mix::Scene::IActorDynamicsDirector::Activate | ( | Boolean | bInstantly = `False` | ) |

pure virtual

活動状態にします

Parameters

  [in] | bInstantly | 即座に実行したい場合は True

Note
  通常この操作は Mix::Scene::IActorModel::Update で行われます。

virtual void Mix::Scene::IActorDynamicsDirector::Deactivate | ( | Boolean | bForce = `False`,
|  | Boolean | bInstantly = `False`
| ) |  |

pure virtual

非活動状態にします

Parameters

  [in] | bForce | 強制的に非活動状態にする場合は True
  [in] | bInstantly | 即座に実行したい場合は True

Note
  通常この操作は Mix::Scene::IActorModel::Update で行われます。

virtual void Mix::Scene::IActorDynamicsDirector::ClearForce | ( | Boolean | bInstantly = `False` | ) |

pure virtual

フォースをクリアします

Parameters

  [in] | bInstantly | 即座に実行したい場合は True

Note
  通常この操作は Mix::Scene::IActorModel::Refresh で行われます。

virtual void Mix::Scene::IActorDynamicsDirector::ClearMotion | ( | Boolean | bInstantly = `False` | ) |

pure virtual

モーションをクリアします

Parameters

  [in] | bInstantly | 即座に実行したい場合は True

Note
  「フォース」「速度」をクリアします。 通常この操作は Mix::Scene::IActorModel::Refresh で行われます。

virtual Float32 Mix::Scene::IActorDynamicsDirector::GetLinearSleepingThresholds | ( | void |  | ) | const

pure virtual

移動を停止する速度を取得します

Returns
  移動を停止する速度を返します

virtual void Mix::Scene::IActorDynamicsDirector::SetLinearSleepingThresholds | ( | Float32 | threshold | ) |

pure virtual

移動を停止する速度を設定します

Parameters

  [in] | threshold | 移動を停止する速度

virtual Float32 Mix::Scene::IActorDynamicsDirector::GetAngularSleepingThresholds | ( | void |  | ) | const

pure virtual

回転を停止する速度を取得します

Returns
  回転を停止する速度を返します

virtual void Mix::Scene::IActorDynamicsDirector::SetAngularSleepingThresholds | ( | Float32 | threshold | ) |

pure virtual

回転を停止する速度を設定します

Parameters

  [in] | threshold | 回転を停止する速度

The documentation for this class was generated from the following file:

- Mix/Scene/IActorDynamicsDirector.h